Bug 1063 - [UPDATE REQUEST] [UPSTREAM UPDATE] perl-IPC-Run3
: [UPDATE REQUEST] [UPSTREAM UPDATE] perl-IPC-Run3
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 08:58 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:30 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-11 08:58:05 MSK
Updated perl-IPC-Run3 from RHEL6 upstream.

Advisory:
* Prior to this update, binary perl-IPC-Run3 packages failed to build if the
perl-Time-HiRes module was not installed. This update adds the perl-Time-HiRes
package to the build-time dependencies for perl-IPC-Run3.
* Prior to this update, tests that called the IP-Run3 profiler failed when the
internal perl-IPC-Run3 test suite was used. This update, adds run-time
dependencies on perl(Getopt::Long) and perl(Time::HiRes) to the perl-IPC-Run3
package because certain IP-Run3 functions require the perl modules. Now, the
IPC-Run3 profiler runs as expected.
http://rhn.redhat.com/errata/RHBA-2012-1440.html

Build lists:
https://abf.rosalinux.ru/build_lists/844321
https://abf.rosalinux.ru/build_lists/844322

Install:
i686: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/perl-IPC-Run3-844321/RPMS/perl-IPC-Run3-0.043-5.res6.noarch.rpm
x86_64: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/perl-IPC-Run3-844322/RPMS/perl-IPC-Run3-0.043-5.res6.noarch.rpm

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-21 11:51:46 MSK
perl-IPC-Run3-0.043-5.res6
****************** RHEL Advisory ************************
* Prior to this update, binary perl-IPC-Run3 packages failed to build if the
perl-Time-HiRes module was not installed. This update adds the perl-Time-HiRes
package to the build-time dependencies for perl-IPC-Run3.
* Prior to this update, tests that called the IP-Run3 profiler failed when the
internal perl-IPC-Run3 test suite was used. This update, adds run-time
dependencies on perl(Getopt::Long) and perl(Time::HiRes) to the perl-IPC-Run3
package because certain IP-Run3 functions require the perl modules. Now, the
IPC-Run3 profiler runs as expected.
***********************************************************
QA Verified